<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_bots', function (Blueprint $table) {
            $table->id();
            $table->foreignId('bot_id')->constrained(
                table: 'messenger_bots',
                indexName: 'messenger_bots_bot_id_foreign_key'
            )->onDelete('cascade');
            $table->foreignId('user_id')->constrained(
                table: 'users',
                indexName: 'users_user_id_foreign_key'
            )->onDelete('cascade');
            $table->string('user_bot_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_bots');
    }
};
